package org.xyzh.common.dto.study;

import org.xyzh.common.dto.BaseDTO;
import java.util.Date;
import java.lang.Boolean;

/**
 * @description 学习任务表
 * @filename TbLearningTask.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbLearningTask extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 任务唯一标识
     */
    private String taskID;
    
    /**
     * @description 任务名称
     */
    private String name;
    
    /**
     * @description 任务描述
     */
    private String description;
    
    /**
     * @description 开始时间
     */
    private Date startTime;
    
    /**
     * @description 结束时间
     */
    private Date endTime;
    
    /**
     * @description 状态（0草稿 1进行中 2已结束）
     */
    private Integer status;
    
    /**
     * @description 创建者
     */
    private String creator;
    
    /**
     * @description 更新者
     */
    private String updater;
    
    /**
     * @description 更新时间
     */
    private Date updateTime;
    
    /**
     * @description 删除时间
     */
    private Date deleteTime;
    
    /**
     * @description 是否删除
     */
    private Boolean deleted;

    public String getTaskID() {
        return taskID;
    }

    public void setTaskID(String taskID) {
        this.taskID = taskID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }


    @Override
    public String toString() {
        return "TbLearningTask{" +
                "id=" + getID() +
                ", taskID='" + taskID + '\'' +
                ", name='" + name + '\'' +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", status=" + status +
                ", creator='" + creator + '\'' +
                '}';
    }
}
